For the complete documentation index, see llms-docs.txt or the site index llms.txt. Full docs corpus: llms-full-docs.txt. Prefer the markdown version of this page at /docs/api/template/get-api-template-v1by-id-versions.md. Product capabilities: skill.md. Docs MCP: /docs/mcp. Site MCP: /mcp.
List Template
GET
/api/template/v1/:id/versions
1import { Reloop } from "reloop-email";2
3const reloop = new Reloop({ apiKey: "rl_123456789" });4
5const versions = await reloop.template.listVersions("tpl_123456789", { page: 1, limit: 10 });1[2 {3 "id": "con_123456789",4 "templateId": "example_templateId",5 "version": 0,6 "name": "Newsletter",7 "isMajor": true,8 "subject": "Welcome to Reloop",9 "fromEmail": "example_fromEmail",10 "replyTo": "example_replyTo",11 "previewText": "example_previewText",12 "description": "example_description",13 "content": [],14 "variables": [15 {16 "name": "Newsletter",17 "type": "string",18 "defaultValue": null19 }20 ],21 "renderedHtml": "example_renderedHtml",22 "createdByUserId": "example_createdByUserId",23 "createdBy": {24 "id": "con_123456789",25 "name": "Newsletter",26 "email": "john.doe@example.com",27 "image": "example_image"28 },29 "createdAt": "2026-03-23T10:00:00.000Z"30 }31]Path Parameters
idstringRequired
Was this page helpful?